# std::set::rend, std::set::crend

From cppreference.com
< cpp‎ | container‎ | set

reverse_iterator rend(); |  |
const_reverse_iterator rend() const; |  |
const_reverse_iterator crend() const; |  | (since C++11)

Returns a reverse iterator to the element following the last element of the reversed container. It corresponds to the element preceding the first element of the non-reversed container. This element acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

Reverse iterator to the element following the last element.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### See also

rbegin crbegin | returns a reverse iterator to the beginning (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/set/rend&oldid=50660"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template